Class | Irc::Bot::Config::ManagerClass
In: | lib/rbot/config.rb
Parent: | Object

container for bot configuration

### Methods

[] []= bot_associate method_missing new register reset_config save

### Included Modules

Singleton

### Attributes

bot | [R] |
changed | [RW] |
config | [R] |
items | [R] |
overrides | [R] |

### Public Class methods

new()

### Public Instance methods

[](key)

currently we store values in a hash but this could be changed in the future. We use hash semantics, however. components that register their config keys and setup defaults are supported via []

[]=(key, value)
bot_associate(bot, reset=false)

Associate with bot bot

method_missing(method, *args, &block)

pass everything else through to the hash

register(item)
reset_config()
save()

write current configuration to #{botclass}/conf.yaml

[Validate]